Index: src/Canvas.cpp
===================================================================
--- src/Canvas.cpp	(revision 5479)
+++ src/Canvas.cpp	(revision 5480)
@@ -760,6 +760,18 @@
 }
 #endif
 
+inline uint64_t
+get_monotonic_time()
+{
+#if GLIB_CHECK_VERSION(2, 28, 0)
+	return g_get_monotonic_time();
+#else
+	GTimeVal time;
+	g_get_current_time(&time);
+	return time.tv_sec + time.tv_usec;
+#endif
+}
+
 #ifdef GANV_FDGL
 
 inline Region
@@ -788,18 +800,6 @@
 	b->impl->force = vec_sub(b->impl->force, f);
 }
 
-inline uint64_t
-get_monotonic_time()
-{
-#if GLIB_CHECK_VERSION(2, 28, 0)
-	return g_get_monotonic_time();
-#else
-	GTimeVal time;
-	g_get_current_time(&time);
-	return time.tv_sec + time.tv_usec;
-#endif
-}
-
 gboolean
 GanvCanvasImpl::layout_iteration()
 {
